## image: Run mkdocs with live-reloading
live:
	@echo "Wait until container starts and open http://localhost:3000 to see live preview"
	@docker run \
		--pull always \
		--rm \
		--interactive \
		--tty \
		-p 3000:8000 \
		-v ${PWD}:/docs \
		squidfunk/mkdocs-material:9.6.20

## image: Build local static site
build:
	@docker run \
		--pull always \
		--rm \
		--interactive \
		--tty \
		-v ${PWD}:/docs \
		squidfunk/mkdocs-material:9.6.20 build

## image: Build docker image
image:
	@docker build \
		--tag m3u-su-docs:latest \
		--tag git.axenov.dev/iptv/m3u-su-docs:latest \
		.

## push: Push docker image to registry
push:
	@docker push git.axenov.dev/iptv/m3u-su-docs:latest

## push: Push docker image to registry
run:
	@docker run -p 3001:80 git.axenov.dev/iptv/m3u-su-docs:latest

## help: Show this message and exit
help: Makefile
	@echo "Available recipes:"
	@sed -n 's/^##//p' $< | column -t -s ':' |  sed -e 's/^/ /'
